/%h4.text-primary Socio Demographic Information
.panel.panel-default{"ng-controller" => "SocioDemoInfoCtrl as vmscope"}
  .panel-heading
    %h4.text-primary Socio Demographic Information
  .panel-body
    .table-responsive
      %table.table

        %thead
          %tr
            %th{ :rowspan => 2, :style => "vertical-align:middle"} Family Members
            %th{ :rowspan => 2, :style => "vertical-align:middle"} Occupation
            %th{ :rowspan => 2, :style => "vertical-align:middle"} Education
            %th{ :rowspan => 2, :style => "vertical-align:middle"} Age
            %th.text-center{ :rowspan => 2 , :style => "vertical-align:middle"} Gender
         
            %th.text-center{ :colspan => 2} Local Organisation Participation
          %tr
            %th Member
            %th Office Bearer
      
        %tbody
          %tr{ "ng-repeat" => "sdi in data_list track by $index "}
            %td {{ sdi.farmer_member_name }}
            %td {{ sdi.occupation.name}}
            %td {{ sdi.education.name }}
            %td {{ sdi.age }}
            %td {{ sdi.gender.name }}
            %td {{ sdi.organisation_member.name}}
            %td {{ sdi.local_organisation.name }}
            %td
              %a{ "ng-click" => "edit(sdi.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(sdi.id, sdi.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
  
          %tr
            %td
              = text_field :farmer_member_name, '', :class => "form-control", "ng-model" => "vm.farmer_member_name"
            %td
              %select{"ng-model" => "vm.occupation", "ng-options" => "occupation.name for occupation in occupations track by occupation.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.education", "ng-options" => "education.name for education in educations track by education.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field_tag :age, '', :class => "form-control", "ng-model" => "vm.age"
            %td
              %select{"ng-model" => "vm.gender", "ng-options" => "gender.name for gender in genders track by gender.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.organisation_member", "ng-options" => "organisation_member.name for organisation_member in local_organisations track by organisation_member.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              %select{"ng-model" => "vm.local_organisation", "ng-options" => "local_organisation.name for local_organisation in local_organisations track by local_organisation.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
              
            %td
            %td  
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}


  
     

